Name:           perl-Catalyst-View-TT
Version:        0.27
Release:        1%{?dist}
Summary:        Template Toolkit View Class
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-View-TT/
Source0:        http://www.cpan.org/authors/id/M/MR/MRAMBERG/Catalyst-View-TT-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(Catalyst) >= 5.5
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Path::Class)
BuildRequires:  perl(Template)
BuildRequires:  perl(Template::Timer)
BuildRequires:  perl(Test::More)

# optional tests
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)

# either not auto-pickedup, or to get rpmlint to stop complaining :)
Requires:       perl(Path::Class)
Requires:       perl(Catalyst)
Requires:       perl(warnings)

%description
This is the Catalyst view base class for the Template Toolkit. 

%prep
%setup -q -n Catalyst-View-TT-%{version}

find . -type f -exec chmod -x -c {} +

# Filter unwanted Provides:
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
  sed -e '/perl(TestApp.*)/d'
EOF

%define __perl_provides %{_builddir}/Catalyst-View-TT-%{version}/%{name}-prov
chmod +x %{__perl_provides}


# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(FindBin)/d'
EOF

%define __perl_requires %{_builddir}/Catalyst-View-TT-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} + 
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
TEST_POD=1 make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed May 28 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.27-1
- update to 0.27

* Wed Mar 19 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.26-2
- bump

* Mon Mar 17 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.26-1
- Specfile autogenerated by cpanspec 1.74.
